#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	sonnet
Version		:	5.107.0
Release		:	14.8.0.0%{?dist}
Summary		:	KDE Multi-language spell checker

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.kde.org/stable/frameworks

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	extra-cmake-modules
BuildRequires	:	aspell
BuildRequires	:	mesa-devel
BuildRequires	:	qt
#-----------------------------------------------------------------------------
%description
Sonnet is a plugin-based spell checking library for Qt-based
applications. It supports several different plugins, including
HSpell, Enchant, ASpell and HUNSPELL.

It also supports automated language detection, based on a
combination of different algorithms.

The simplest way to use Sonnet in your application is to use the
SpellCheckDecorator class on your QTextEdit.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DCMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-DCMAKE_BUILD_TYPE=Release				\
	-DBUILD_TESTING=OFF 					\
	-Wno-dev						\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)

%doc README.md
%{_bindir}/gentrigrams
%{_bindir}/parsetrigrams
%{_includedir}/KF5/Sonnet*/*
%{_libdir}/cmake/KF5Sonnet*/*.cmake
%{_libdir}/libKF5Sonnet*.so*
%{_datadir}/plugins/kf5/%{name}/%{name}_aspell.so
%{_datadir}/plugins/designer/%{name}ui5widgets.so
%{_datadir}/locale/*/LC_MESSAGES/%{name}5_qt.qm
%{_datadir}/mkspecs/modules/qt_*.pri
%{_datadir}/qlogging-categories5/%{name}.categories
%{_datadir}/qlogging-categories5/%{name}.renamecategories
%{_datadir}/qml/org/kde/sonnet/lib%{name}quickplugin.so
%{_datadir}/qml/org/kde/sonnet/plugins.qmltypes
%{_datadir}/qml/org/kde/sonnet/qmldir

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
